RPC.IDMAPD(8)

NUME
rpc.idmapd - corelare NFSv4 ID <-> nume

SINOPSIS
rpc.idmapd [-h] [-f] [-v] [-C] [-S] [-p ruta] [-c ruta]

DESCRIERE
idmapd este demonul de corelare NFSv4 ID <-> nume. Acesta oferă funcționalitate pentru clientul și serverul nucleului NFSv4, cu care comunică prin apeluri ascendente, prin traducerea ID-urilor de utilizator și de grup în nume și invers.

Sistemul obține partea utilizator a șirului prin căutarea unei parole sau a unui grup. Mecanismul de căutare este configurat în /etc/idmapd.conf.

În mod implicit, partea domeniu a șirului este numele de domeniu DNS al sistemului. De asemenea, poate fi specificată în /etc/idmapd.conf dacă sistemul este multi-conexiune „multi-homed” (conectat la două sau mai multe rețele) sau dacă numele de domeniu DNS al sistemului nu se potrivește cu numele domeniului Kerberos al sistemului.

Când domeniul nu este specificat în /etc/idmapd.conf, serverul DNS local va fi interogat pentru înregistrarea text _nfsv4idmapdomain. În cazul în care înregistrarea există, aceasta va fi utilizată ca domeniu. În cazul în care înregistrarea nu există, se va utiliza partea de domeniu din domeniul DNS.

Rețineți că pe nucleele mai recente numai serverul NFSv4 utilizează rpc.idmapd. În schimb, clientul NFSv4 utilizează nfsidmap(8) și revine la idmapd numai dacă a existat o problemă la rularea programului nfsidmap(8).

Opțiunile sunt următoarele:

-h  Afișează mesajul de utilizare.

-v  Mărește nivelul de detaliere al mesajelor informative de la ieșire (poate fi specificată de mai multe ori).

-f  Rulează idmapd în prim-plan și afișează toată ieșirea în terminal.

-p ruta
    Specifică locația conductelor RPC care urmează să fie ruta. Valoarea implicită este „/var/lib/nfs/rpc_pipefs”.

-c ruta
    Utilizează fișierul de configurare ruta. Această opțiune este depreciată.

-C  Doar pentru client: nu se efectuează nicio corelare de identificare pentru niciun server NFS, chiar dacă este detectat vreunul.

-S  Doar pentru server: nu se efectuează nicio corelare de identificare pentru niciun client NFS, chiar dacă este detectat vreunul.

FIȘIERELE DE CONFIGURARE
idmapd recunoaște următoarea valoare din secțiunea [general] a fișierului de configurare /etc/nfs.conf:

pipefs-directory
    Echivalentă cu -p.

Toate celelalte valori legate de corelarea id se găsesc în fișierul de configurare /etc/idmapd.conf.

EXEMPLE
rpc.idmapd -f -vvv

Rulează idmapd afișând toate mesajele în consolă și cu un nivel de detaliere al informațiilor de 3.

FIȘIERE
/etc/idmapd.conf, /etc/nfs.conf

CONSULTAȚI ȘI
idmapd.conf(5), nfs.conf(5), nfsidmap(8)

AUTORI
Software-ul idmapd a fost dezvoltat de Marius Aamodt Eriksen <marius@citi.umich.edu>.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3: https://www.gnu.org/licenses/gpl-3.0.html sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.